Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::PixelBufferObject Class Reference

Inheritance diagram for osg::PixelBufferObject:

[legend]
List of all members.

## Public Types
typedef std::pair< BufferEntry, Image * > | BufferEntryImagePair
## Public Member Functions
| PixelBufferObject (osg::Image *image=0)
| PixelBufferObject (const PixelBufferObject &pbo, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Object (osg, PixelBufferObject)
void | setImage (osg::Image *image)
Image * | getImage ()
const Image * | getImage () const
unsigned int | offset () const
virtual bool | needsCompile (unsigned int contextID) const
virtual void | compileBuffer (State &state) const
## Protected Member Functions
virtual | ~PixelBufferObject ()
## Protected Attributes
BufferEntryImagePair | _bufferEntryImagePair

## Member Typedef Documentation

typedef std::pair< BufferEntry, Image* > osg::PixelBufferObject::BufferEntryImagePair

## Constructor & Destructor Documentation

osg::PixelBufferObject::PixelBufferObject | ( | osg::Image * | image = 0 | ) |

osg::PixelBufferObject::PixelBufferObject | ( | const PixelBufferObject & | pbo,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::PixelBufferObject::~PixelBufferObject | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::PixelBufferObject::compileBuffer | ( | State & | state | ) | const`[virtual]`

| Implements osg::BufferObject.

const Image* osg::PixelBufferObject::getImage | ( |  | ) | const`[inline]`

Image* osg::PixelBufferObject::getImage | ( |  | ) | `[inline]`

osg::PixelBufferObject::META_Object | ( | osg | ,
|  | PixelBufferObject |
| ) |

virtual bool osg::PixelBufferObject::needsCompile | ( | unsigned int | contextID | ) | const`[virtual]`

| Implements osg::BufferObject.

unsigned int osg::PixelBufferObject::offset | ( |  | ) | const`[inline]`

void osg::PixelBufferObject::setImage | ( | osg::Image * | image | ) |

## Member Data Documentation

BufferEntryImagePair osg::PixelBufferObject::_bufferEntryImagePair`[protected]`

The documentation for this class was generated from the following file:

- BufferObject